For the complete documentation index, see llms.txt. This page is also available as Markdown.

Roles

Returns roles matching the given search criteria.

get

Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. The returned roles satisfy all constraints that are specified in this search criteria. By default a result containing 1000 roles is returned.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
namestringOptional

The name of the role to search for.

nameMatchModestring · enumOptional

The match mode used to compare name. The search is case-insensitive.

Default: ANYWHEREPossible values:
descriptionstringOptional

The description of the role to search for.

globalbooleanOptionalDeprecated

Whether global roles should be searched for.

ownerIdstring · uuidOptional

The id of the owner of the roles. This can be a user or a group.

roleInheritanceModestring · enumOptional

How to include inherited roles from groups in the search results. Allowable values are DIRECTLY, VIA_GROUPS, DIRECTLY_AND_VIA_GROUPS.

Default: DIRECTLY_AND_VIA_GROUPSPossible values:
sortFieldstring · enumOptional

The sort field for the result.

Default: LICENSE_TYPEPossible values:
sortOrderstring · enumOptional

The order of sorting.

Default: DESCPossible values:
includeDisabledbooleanOptional

Whether disabled roles should be searched for.

systemNamestringOptional

If set, search returns only resource roles having permissions belonging to a specific system. Supported values are 'knowledgegraph' and 'dataquality'. It must be used in combination with type = RESOURCE or global = false.

typestring · enumOptional

Indicates which type of roles should be searched for. Usage is mutually exclusive with the deprecated global flag.

Possible values:
Responses
default

default response

application/json

Response containing the paged information.

totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/roles
default

default response

Adds a new role.

post

Adds new role.

Authorizations
AuthorizationstringRequired
Body
idstring · uuidOptional

The ID of the new role. Should be unique within all roles


It should have a format of universally unique identifier (UUID) and should not start
with 00000000-0000-0000- which is a reserved prefix.

namestring · min: 1 · max: 255Required

The name of the new role. Should be unique within all roles.

globalbooleanOptional

Whether the role should be a global or resource role.

descriptionstringOptional

The description of the role.

disabledbooleanOptional

Whether the role should be disabled or not. By default, the role is enabled.

Responses
201

Role successfully added.

application/json

Represents a role.

A role is a grouping of rights and responsibilities (permissions) that is assigned to individual users or user groups.

Collibra DGC distinguishes between global roles and resource roles.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
globalbooleanOptional

Whether the role is global.

disabledbooleanOptional

Whether the role is disabled.

permissionListstring[]Optional

The list of permissions this role will provide to the user. To get an up-to-date list of the permissions in the system, please refer to the enums in AddRoleRequest and ChangeRoleRequest

post/roles

Returns the role identified by the given id.

get

Returns the role identified by the given id.

Authorizations
AuthorizationstringRequired
Path parameters
roleIdstring · uuidRequired

The unique identifier of the role.

Responses
default

default response

application/json

Represents a role.

A role is a grouping of rights and responsibilities (permissions) that is assigned to individual users or user groups.

Collibra DGC distinguishes between global roles and resource roles.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
globalbooleanOptional

Whether the role is global.

disabledbooleanOptional

Whether the role is disabled.

permissionListstring[]Optional

The list of permissions this role will provide to the user. To get an up-to-date list of the permissions in the system, please refer to the enums in AddRoleRequest and ChangeRoleRequest

get/roles/{roleId}
default

default response

Removes the role identified by the given id.

delete

Removes the role identified by the given id.

Authorizations
AuthorizationstringRequired
Path parameters
roleIdstring · uuidRequired

The unique identifier of the role.

Responses
default

default response

application/json
delete/roles/{roleId}
default

default response

Change the role with the given id.

patch

Changes the role with the information that is present in the request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.

Authorizations
AuthorizationstringRequired
Path parameters
roleIdstring · uuidRequired

The unique identifier of the role.

Body
namestring · min: 1 · max: 255Optional

The new name for the role. Should be unique within all roles.

descriptionstringOptional

The new description for the role.

disabledbooleanOptional

Whether the role should be disabled or not.

Responses
default

default response

application/json

Represents a role.

A role is a grouping of rights and responsibilities (permissions) that is assigned to individual users or user groups.

Collibra DGC distinguishes between global roles and resource roles.

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
descriptionstringOptional

The description of the resource.

Example: Sample descripion of the resource.
globalbooleanOptional

Whether the role is global.

disabledbooleanOptional

Whether the role is disabled.

permissionListstring[]Optional

The list of permissions this role will provide to the user. To get an up-to-date list of the permissions in the system, please refer to the enums in AddRoleRequest and ChangeRoleRequest

patch/roles/{roleId}
default

default response

Last updated

Was this helpful?